Bug 226843

Summary: [LayoutTests] Delete unused LayoutTests/webaudio resources
Product: WebKit Reporter: Robert Jenner <Jenner>
Component: Tools / TestsAssignee: Robert Jenner <Jenner>
Status: RESOLVED FIXED    
Severity: Normal CC: eric.carlson, ews-watchlist, glenn, jbedard, jer.noble, philipj, sergio, webkit-bot-watchers-bugzilla, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Robert Jenner 2021-06-09 13:02:37 PDT
There are a number of unused resources in LayoutTests/webaudio, we should delete them.
Comment 1 Radar WebKit Bug Importer 2021-06-09 13:03:02 PDT
<rdar://problem/79093818>
Comment 2 Robert Jenner 2021-06-09 13:04:38 PDT
Created attachment 430999 [details]
Patch
Comment 3 Jonathan Bedard 2021-06-09 13:12:32 PDT
Comment on attachment 430999 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=430999&action=review

> LayoutTests/ChangeLog:8
> +        Delete unused php resources after tests were converted to python. 

These don't look like PHP resources, just look like normal resources, no?
Comment 4 Robert Jenner 2021-06-10 10:23:18 PDT
To clarify, this applies to all un-used resources, not just php. Also, with the patch above, it say's the test "media/modern-media-controls/overflow-support/chapters.html" is a "new failure." However, when looking at the history for it, it's a clear indication that this test has been having timeout issues before this patch has even been committed to the project seen here: https://results.webkit.org/?suite=layout-tests&test=media%2Fmodern-media-controls%2Foverflow-support%2Fchapters.html

So, with all of that in mind, I think this is safe to flip to r?
Comment 5 Jonathan Bedard 2021-06-10 10:35:29 PDT
Comment on attachment 430999 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=430999&action=review

>> LayoutTests/ChangeLog:8
>> +        Delete unused php resources after tests were converted to python. 
> 
> These don't look like PHP resources, just look like normal resources, no?

Let's update the comment to be accurate

> LayoutTests/webaudio/resources/hrtf/README:-4
> -

We should put this file back, it's not used, but it is a README referencing files that are used
Comment 6 Robert Jenner 2021-06-10 12:58:59 PDT
Created attachment 431115 [details]
Patch
Comment 7 EWS 2021-06-11 16:39:58 PDT
Committed r278796 (238753@main): <https://commits.webkit.org/238753@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431115 [details].